be.fgov.ehealth.technicalconnector.signature.domain

## Enum SignatureVerificationError

- java.lang.Object
- - java.lang.Enum<SignatureVerificationError>
  - - be.fgov.ehealth.technicalconnector.signature.domain.SignatureVerificationError

- All Implemented Interfaces:
    Serializable, Comparable<SignatureVerificationError>

      public enum SignatureVerificationError
      extends Enum<SignatureVerificationError>

  Enumeration containing the difference SignatureVerificationErrors.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CERTIFICATE_CHAIN_COULD_NOT_BE_VERIFIED` Error indicating that the signing certificate chain corresponding is not valid.
    `CERTIFICATE_CHAIN_NOT_TRUSTED` Error indicating that the signing certificate chain is not valid.
    `CERTIFICATE_COULD_NOT_BE_VERIFIED` Error indicating that signing certificate could not be verified caused by an unknown reason.
    `CERTIFICATE_EXPIRED` Error indicating that signing certificate is expired.
    `CERTIFICATE_HAS_INVALID_KEYUSAGE` Error indicating that the signing certificate has an invalid key usage.
    `CERTIFICATE_NOT_YET_VALID` Error indicating that the signing certificate is not yet valid.
    `CERTIFICATE_REVOKED` Error indicating that the signing certificate has been revoked.
    `CERTIFICATE_STATUS_UNKNOWN` Error indicating that the status of the signing certificate could not be verified.
    `OCSP_CHECKER_WAS_NOT_FOUND` Error indicating that the OCSPChecker was expecting to read a Ocsp Response in the Signer Informations of the message but could not be found.
    `SIGNATURE_COULD_NOT_BE_VERIFIED` Error indicating that the signature could not be verified caused by an unknown reason.
    `SIGNATURE_MANIFEST_COULD_NOT_BE_VERIFIED` Error indicating that the manifest could not be verified caused by an unknown reason.
    `SIGNATURE_MANIFEST_IS_NOT_VALID` Error indicating that the manifest is not valid.
    `SIGNATURE_MANIFEST_REFERENCE_NOT_FOUND` Error indicating that the manifest reference could not be found.
    `SIGNATURE_NOT_PRESENT` Error indicating that the signature there is no signature to verify.
    `XADES_ENCAPSULATED_TIMESTAMP_NOT_FOUND` Error indication that there was no encapsulated timestamp in the xades-t.
    `XADES_ENCAPSULATED_TIMESTAMP_NOT_VALID` Error indication that there was the encapsulated timestamp in the xades-t was invalid.
    `XADES_ENCAPSULATED_TIMESTAMP_NOT_VERIFIED` Error indication that the encapsulated timestamp could not be verified caused by an unkown reason.
    `XADES_SIGNEDPROPS_COULD_NOT_BE_VERIFIED` Error indicating that the signed props inside the xades could not be verified caused by an unkown reason.
    `XADES_SIGNEDPROPS_DONT_HAVE_SIGNINGTIME` Error indicating that the signed props inside the xades don't have a signing time.
    `XADES_SIGNEDPROPS_INVALID_SIGNINGTIME` Error indicating that the signed props inside the xades has an invalid signing time.
    `XADES_SIGNEDPROPS_NOT_VALID` Error indicating that the signed props inside the xades are not valid.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorName()`
    `String` | `getMessage()`
    `static SignatureVerificationError` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SignatureVerificationError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OCSP_CHECKER_WAS_NOT_FOUND

          public static final SignatureVerificationError OCSP_CHECKER_WAS_NOT_FOUND

      Error indicating that the OCSPChecker was expecting to read a Ocsp Response in the Signer Informations of the message but could not be found.

    - #### CERTIFICATE_COULD_NOT_BE_VERIFIED

          public static final SignatureVerificationError CERTIFICATE_COULD_NOT_BE_VERIFIED

      Error indicating that signing certificate could not be verified caused by an unknown reason.

    - #### CERTIFICATE_EXPIRED

          public static final SignatureVerificationError CERTIFICATE_EXPIRED

      Error indicating that signing certificate is expired.

    - #### CERTIFICATE_HAS_INVALID_KEYUSAGE

          public static final SignatureVerificationError CERTIFICATE_HAS_INVALID_KEYUSAGE

      Error indicating that the signing certificate has an invalid key usage.

    - #### CERTIFICATE_NOT_YET_VALID

          public static final SignatureVerificationError CERTIFICATE_NOT_YET_VALID

      Error indicating that the signing certificate is not yet valid.

    - #### CERTIFICATE_REVOKED

          public static final SignatureVerificationError CERTIFICATE_REVOKED

      Error indicating that the signing certificate has been revoked.

    - #### CERTIFICATE_STATUS_UNKNOWN

          public static final SignatureVerificationError CERTIFICATE_STATUS_UNKNOWN

      Error indicating that the status of the signing certificate could not be verified.

    - #### CERTIFICATE_CHAIN_NOT_TRUSTED

          public static final SignatureVerificationError CERTIFICATE_CHAIN_NOT_TRUSTED

      Error indicating that the signing certificate chain is not valid.

    - #### CERTIFICATE_CHAIN_COULD_NOT_BE_VERIFIED

          public static final SignatureVerificationError CERTIFICATE_CHAIN_COULD_NOT_BE_VERIFIED

      Error indicating that the signing certificate chain corresponding is not valid.

    - #### XADES_SIGNEDPROPS_NOT_VALID

          public static final SignatureVerificationError XADES_SIGNEDPROPS_NOT_VALID

      Error indicating that the signed props inside the xades are not valid.

    - #### XADES_SIGNEDPROPS_COULD_NOT_BE_VERIFIED

          public static final SignatureVerificationError XADES_SIGNEDPROPS_COULD_NOT_BE_VERIFIED

      Error indicating that the signed props inside the xades could not be verified caused by an unkown reason.

    - #### XADES_SIGNEDPROPS_INVALID_SIGNINGTIME

          public static final SignatureVerificationError XADES_SIGNEDPROPS_INVALID_SIGNINGTIME

      Error indicating that the signed props inside the xades has an invalid signing time.

    - #### XADES_SIGNEDPROPS_DONT_HAVE_SIGNINGTIME

          public static final SignatureVerificationError XADES_SIGNEDPROPS_DONT_HAVE_SIGNINGTIME

      Error indicating that the signed props inside the xades don't have a signing time.

    - #### XADES_ENCAPSULATED_TIMESTAMP_NOT_FOUND

          public static final SignatureVerificationError XADES_ENCAPSULATED_TIMESTAMP_NOT_FOUND

      Error indication that there was no encapsulated timestamp in the xades-t.

    - #### XADES_ENCAPSULATED_TIMESTAMP_NOT_VERIFIED

          public static final SignatureVerificationError XADES_ENCAPSULATED_TIMESTAMP_NOT_VERIFIED

      Error indication that the encapsulated timestamp could not be verified caused by an unkown reason.

    - #### XADES_ENCAPSULATED_TIMESTAMP_NOT_VALID

          public static final SignatureVerificationError XADES_ENCAPSULATED_TIMESTAMP_NOT_VALID

      Error indication that there was the encapsulated timestamp in the xades-t was invalid.

    - #### SIGNATURE_NOT_PRESENT

          public static final SignatureVerificationError SIGNATURE_NOT_PRESENT

      Error indicating that the signature there is no signature to verify.

    - #### SIGNATURE_COULD_NOT_BE_VERIFIED

          public static final SignatureVerificationError SIGNATURE_COULD_NOT_BE_VERIFIED

      Error indicating that the signature could not be verified caused by an unknown reason.

    - #### SIGNATURE_MANIFEST_IS_NOT_VALID

          public static final SignatureVerificationError SIGNATURE_MANIFEST_IS_NOT_VALID

      Error indicating that the manifest is not valid.

    - #### SIGNATURE_MANIFEST_REFERENCE_NOT_FOUND

          public static final SignatureVerificationError SIGNATURE_MANIFEST_REFERENCE_NOT_FOUND

      Error indicating that the manifest reference could not be found.

    - #### SIGNATURE_MANIFEST_COULD_NOT_BE_VERIFIED

          public static final SignatureVerificationError SIGNATURE_MANIFEST_COULD_NOT_BE_VERIFIED

      Error indicating that the manifest could not be verified caused by an unknown reason.

  - ### Method Detail

    - #### values

          public static SignatureVerificationError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignatureVerificationError c : SignatureVerificationError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SignatureVerificationError valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMessage

          public String getMessage()

    - #### getErrorName

          public String getErrorName()

Connector Packaging TECHNICAL 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.